import { Response } from 'express';
import { commonServices } from './services/commonServices';
import { Model } from 'mongoose';
import { PrivacyAndTermCondition } from './script/schema/privacy.tc.schema';
export declare class AppService {
    private readonly commonServices;
    private PrivacyAndTermConditionModel;
    constructor(commonServices: commonServices, PrivacyAndTermConditionModel: Model<PrivacyAndTermCondition>);
    getHello(): string;
    onModuleInit(): Promise<void>;
    getPrivacyPolicyOrTermCondition(isPrivacyPolicy: boolean, res: Response): Promise<Response<any, Record<string, any>>>;
}
