"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppService = void 0;
const common_1 = require("@nestjs/common");
const commonServices_1 = require("./services/commonServices");
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const api_response_json_1 = require("../api.response.json");
let AppService = class AppService {
    constructor(commonServices, PrivacyAndTermConditionModel) {
        this.commonServices = commonServices;
        this.PrivacyAndTermConditionModel = PrivacyAndTermConditionModel;
    }
    getHello() {
        return 'Hello World!';
    }
    async onModuleInit() {
        try {
            let data = await this.PrivacyAndTermConditionModel.find().countDocuments();
            if (data <= 0) {
                let privacyData = {
                    title: 'Privacy Policy',
                    isPrivacy: true,
                    content: `<p class="MsoNormal"><b>1. Information We Collect</b> Telecue may collect the
following types of personal information:<o:p></o:p></p><ul style="margin-top:0cm" type="disc">
 <li class="MsoNormal"><b>User-provided
     Information</b>: When you create an account or use certain features, you
     may provide us with information like your name, email, and profile
     picture.<o:p></o:p></li>
 <li class="MsoNormal"><b>Usage
     Data</b>: We collect information on how you use the app, such as
     interaction with features, usage duration, and in-app settings.<o:p></o:p></li>
</ul><p class="MsoNormal"><b>2. How We Use Your Information</b> We use the data we
collect to:<o:p></o:p></p><ul style="margin-top:0cm" type="disc">
 <li class="MsoNormal">Provide
     and improve the services of the Telecue app.<o:p></o:p></li>
 <li class="MsoNormal">Customize
     the user experience.<o:p></o:p></li>
 <li class="MsoNormal">Communicate
     with users about updates, offers, and support.<o:p></o:p></li>
</ul><p class="MsoNormal"><b>3. Third-Party Services</b> We may use third-party
services (e.g., analytics tools) to track user activity and improve app
functionality. These third-party services may collect information sent by your
device as part of their service.<o:p></o:p></p><p class="MsoNormal"><b>4. Data Storage and Security</b> Your data is stored on
secure servers. We take reasonable steps to protect your data from unauthorized
access or disclosure. However, no method of transmission over the internet is
100% secure.<o:p></o:p></p><p class="MsoNormal"><b>5. Sharing of Information</b> We do not sell, trade, or
otherwise transfer your personal information to outside parties except as
necessary for app operation or as required by law.<o:p></o:p></p><p class="MsoNormal"><b>6. Your Rights</b> You have the right to access, modify,
or delete your personal information stored by Telecue. To request changes,
contact our support team.<o:p></o:p></p><p class="MsoNormal"><b>7. Changes to the Privacy Policy</b> We may update this
Privacy Policy from time to time. Users will be notified of any significant
changes through the app or via email.<o:p></o:p></p><p>
<b><span style="font-size:12.0pt;line-height:115%;font-family:&quot;Aptos&quot;,sans-serif;
mso-ascii-theme-font:minor-latin;mso-fareast-font-family:Aptos;mso-fareast-theme-font:
minor-latin;mso-hansi-theme-font:minor-latin;mso-bidi-font-family:&quot;Times New Roman&quot;;
mso-bidi-theme-font:minor-bidi;mso-ansi-language:EN-IN;mso-fareast-language:
EN-US;mso-bidi-language:AR-SA">8. Contact Us</span></b><span style="font-size:
12.0pt;line-height:115%;font-family:&quot;Aptos&quot;,sans-serif;mso-ascii-theme-font:
minor-latin;mso-fareast-font-family:Aptos;mso-fareast-theme-font:minor-latin;
mso-hansi-theme-font:minor-latin;mso-bidi-font-family:&quot;Times New Roman&quot;;
mso-bidi-theme-font:minor-bidi;mso-ansi-language:EN-IN;mso-fareast-language:
EN-US;mso-bidi-language:AR-SA"> For any questions regarding our Terms &amp;
Conditions or Privacy Policy, please contact our support team at <a href= "mailto: mailto:telecue.app@gmail.com"> mailto:telecue.app@gmail.com</a>.
</span><br></p> `,
                };
                let termConditionData = {
                    title: 'Terms And Condition',
                    isPrivacy: false,
                    content: `<p class="MsoNormal"><b>Terms &amp; Conditions<o:p></o:p></b></p><p class="MsoNormal"><b>1. Acceptance of Terms</b> By downloading or using the
Telecue app, you agree to abide by these Terms &amp; Conditions. If you
disagree with any part of these terms, do not use the app.<o:p></o:p></p><p class="MsoNormal"><b>2. Use of the App</b> Telecue allows users to create
videos by reading scripts while using a teleprompter feature. You are
responsible for ensuring that all content you create and share using the app
complies with local laws and regulations.<o:p></o:p></p><p class="MsoNormal"><b>3. Intellectual Property</b> All content and materials
available on the Telecue app, including but not limited to text, graphics,
software, and videos, are the intellectual property of Telecue unless otherwise
stated. You may not reproduce, distribute, or use any of the content without
written permission.<o:p></o:p></p><p class="MsoNormal"><b>4. User Content</b> You retain ownership of the content
you create using Telecue. However, by uploading or sharing content, you grant
us a non-exclusive license to use, modify, and display the content for the
purpose of operating the app.<o:p></o:p></p><p class="MsoNormal"><b>5. Prohibited Activities</b> Users must not engage in
activities that:<o:p></o:p></p><ul style="margin-top:0cm" type="disc">
 <li class="MsoNormal">Violate
     any applicable laws or regulations.<o:p></o:p></li>
 <li class="MsoNormal">Infringe
     on intellectual property rights.<o:p></o:p></li>
 <li class="MsoNormal">Distribute
     harmful or malicious software.<o:p></o:p></li>
 <li class="MsoNormal">Use
     the app for unauthorized or unlawful purposes.<o:p></o:p></li>
</ul><p class="MsoNormal"><b>6. Modifications to the App</b> Telecue reserves the
right to modify, update, or discontinue the app at any time without prior
notice.<o:p></o:p></p><p class="MsoNormal"><b>7. Limitation of Liability</b> Telecue is provided
"as is." We do not guarantee that the app will be error-free or that
it will meet all user expectations. In no event shall Telecue be liable for any
direct, indirect, incidental, or consequential damages arising out of the use
or inability to use the app.<o:p></o:p></p><p>
</p><p class="MsoNormal"><b>8. Governing Law</b> These terms will be governed by and
construed in accordance with the laws of the country in which Telecue operates.<o:p></o:p></p>`,
                };
                await this.PrivacyAndTermConditionModel.insertMany([
                    privacyData,
                    termConditionData,
                ]);
                console.log('Privacy Policy and Terms and condition added successfully.');
            }
        }
        catch (error) {
            console.log('error while adding privacy policy and terms and condition::', error);
        }
    }
    async getPrivacyPolicyOrTermCondition(isPrivacyPolicy, res) {
        let data;
        if (isPrivacyPolicy === true) {
            data = await this.PrivacyAndTermConditionModel.findOne({
                isPrivacy: true,
            });
            return this.commonServices.returnResponse(res, common_1.HttpStatus.OK, api_response_json_1.message.success.privacyFetch, data);
        }
        else {
            data = await this.PrivacyAndTermConditionModel.findOne({
                isPrivacy: false,
            });
            return this.commonServices.returnResponse(res, common_1.HttpStatus.OK, api_response_json_1.message.success.termConditionFetch, data);
        }
    }
};
exports.AppService = AppService;
exports.AppService = AppService = __decorate([
    (0, common_1.Injectable)(),
    __param(1, (0, mongoose_1.InjectModel)('privacy-term-condition')),
    __metadata("design:paramtypes", [commonServices_1.commonServices,
        mongoose_2.Model])
], AppService);
//# sourceMappingURL=app.service.js.map