"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserModule = void 0;
const common_1 = require("@nestjs/common");
const user_service_1 = require("./user.service");
const user_controller_1 = require("./user.controller");
const mongoose_1 = require("@nestjs/mongoose");
const user_schema_1 = require("./schema/user.schema");
const commonServices_1 = require("../services/commonServices");
const authToken_schema_1 = require("./schema/authToken.schema");
const script_schema_1 = require("../script/schema/script.schema");
const scriptVideo_schema_1 = require("../script/schema/scriptVideo.schema");
const payment_schema_1 = require("../script/schema/payment.schema");
let UserModule = class UserModule {
};
exports.UserModule = UserModule;
exports.UserModule = UserModule = __decorate([
    (0, common_1.Module)({
        imports: [
            mongoose_1.MongooseModule.forFeature([
                { name: 'user', schema: user_schema_1.UserSchema },
                { name: 'auth-token', schema: authToken_schema_1.AuthTokenSchema },
                { name: 'script', schema: script_schema_1.ScriptSchema },
                { name: 'script-video', schema: scriptVideo_schema_1.ScriptVideoSchema },
                { name: 'payment', schema: payment_schema_1.PaymentSchema },
            ]),
        ],
        controllers: [user_controller_1.UserController],
        providers: [user_service_1.UserService, commonServices_1.commonServices],
    })
], UserModule);
//# sourceMappingURL=user.module.js.map