"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScriptVideoSchema = exports.ScriptVideo = exports.FileType = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
exports.FileType = {
    video: 'videos',
    image: 'image',
    thumbnail: 'thumbnail',
};
let ScriptVideo = class ScriptVideo {
};
exports.ScriptVideo = ScriptVideo;
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", mongoose_2.default.Types.ObjectId)
], ScriptVideo.prototype, "script_id", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], ScriptVideo.prototype, "video_file", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], ScriptVideo.prototype, "duration", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], ScriptVideo.prototype, "thumbnail", void 0);
exports.ScriptVideo = ScriptVideo = __decorate([
    (0, mongoose_1.Schema)({ timestamps: true })
], ScriptVideo);
exports.ScriptVideoSchema = mongoose_1.SchemaFactory.createForClass(ScriptVideo);
//# sourceMappingURL=scriptVideo.schema.js.map